package com.agilex.vamf.missionhealth.domain;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "annualservicerollup", namespace = Namespace.MissionHealth)
@XmlAccessorType(value = XmlAccessType.NONE)
public class AnnualServiceRollUp extends DomainTransferObject{
	 
	private static final long serialVersionUID = 3328294108087675374L;

	@XmlElement
	private List<WeeklyServiceMetrics> data=new LinkedList<WeeklyServiceMetrics>();
	@XmlElement
	private int weeksLeft;
	
	public List<WeeklyServiceMetrics> getData() {
		return data;
	}

	public void setData(List<WeeklyServiceMetrics> data) {
		this.data = data;
	}

	public int getWeeksLeft() {
		return weeksLeft;
	}

	public void setWeeksLeft(int weeksLeft) {
		this.weeksLeft = weeksLeft;
	}
}
